100  CLS : REM "Z-LINE"
110  PRINT TAB(26);"****Z-LINE****":PRINT:PRINT
120  PRINT "THIS PROGRAM CALCULATES LINEWIDTHS FOR MICROSTRIP TRANSMISSION LINES"
130  PRINT :PRINT "NOTE: LINE WIDTHS ARE LIMITED TO 10 TO 1500 MILS"
140  PRINT :BEEP :INPUT "ENTER BOARD THICKNESS (MILS) ";T
150  PI=4*ATN(1) :IF T<=0 THEN 140
160  PRINT :BEEP :INPUT "ENTER RELATIVE DIELECTRIC CONSTANT ";E
170  PRINT :BEEP :INPUT "ENTER REQUIRED IMPEDANCE (ZO) ";Z
180  H=T-2.8 :W=592/(Z*SQR(E)) :IF W<2.3 THEN 400
190  W=0.64*(W-1-LOG(2*W-1)+0.5*(1-1/E)*(0.293+LOG(W-1)-0.517/E)) :WA=H*W
200  W=INT(WA+0.5) :S=W+2 :Y=-1
210  FOR W=S TO 10 STEP Y
220  WE=W+(1.4/PI)*LOG(2*H/1.4+1)
230  X=377*H/(E^0.5*WE*(1+(1.735*E^-0.0724)*(WE/H)^-0.836))
240  W=INT(W*10)/10
250  IF X<Z THEN 280
260  IF X=Z THEN 330
270  IF X>Z THEN 290
280  NEXT W
290  IF W<10 THEN 400
300  IF W>1500 THEN 410
310  ER=((Z-X)/Z)*100 :ER=INT(ER*100)/100 :EP=(E+1)/2+(E-1)/2*(1+10/(W/H))^-0.5
320  VP=(EP^-0.5)*100 :VP=INT(VP*100)/100
330  CLS :PRINT "    Zo=";Z;"Ohms"
340  PRINT :PRINT "Height=";T;"Mils"
350  PRINT :PRINT "    Er=";E
360  PRINT :PRINT " WIDTH=";W;"Mils"
370  PRINT :PRINT " ERROR=";ER;"%"
380  PRINT :PRINT "    Vp=";VP;"%"
390  GOTO 420
400  CLS :PRINT "WIDTH REQUIRED IS LESS THAN 10 MILS" :GOTO 420
410  CLS :PRINT "WIDTH REQUIRED IS GREATER THAN 1500 MILS"
420  PRINT :BEEP :PRINT "PRESS #1 FOR ANOTHER Zo":PRINT TAB(7);"#2 FOR HARD COPY"
430  PRINT TAB(7);"#3 TO CONTINUE" :PRINT TAB(7);"#4 TO END"
440  A$=INKEY$ :IF A$="" THEN 440
450  IF A$="1" THEN 170
460  IF A$="2" THEN 490
470  IF A$="3" THEN 100
480  IF A$<>"4" THEN 440 ELSE END
490  LPRINT "Zo=";Z;"Ohms; hgt=";T;"mil; Er=";E;"; W=";W;"mil";
500  LPRINT "; ERROR=";ER;"%; Vp=";VP;"%" :GOTO 440
